'use strict';

var gulp = require('./index.js')({

    // Global configs
    name: 'nw-gulp-tasks',

    paths: {
        src: './tasks'
    },

    // Bundles - no config
    build: true,
    ci: true,

    // Tasks with config and subtasks
    scripts: {
        build: false,
        angular: false,
        test: false,
        jshint: true,
        jscs: true,
        quality: true,

        src: '${paths.src}/**/*.js'
    },

    quality: true,

    release: {
        bump: {
            src: 'package.json'
        }
    }

});
