'use strict';

var config = {
    name: 'less',
    description: 'Compile and copy styles to build folder',

    bundle: ['build'],

    sequence: [
        'less:compile',
        'less:bundle'
    ],

    settings: {
        paths: {
            css: '${paths.build}/assets/css',
            less: '${paths.build}/assets/less'
        },

        compile: '${paths.src}/assets/less/project.less',
        src: '${paths.src}/assets/less/**/*',
        bundle: []
    }
};

module.exports = config;
