'use stirct';

var config = {

    name: 'scripts',
    description: 'Scripts optimization',

    sequence: [
        'scripts:jshint',
        'scripts:jscs',
        'scripts:tmp-create',
        'scripts:ng-directives',
        'scripts:test-dev',
        'scripts:build',
        'scripts:test-build',
        'scripts:bundle',
        'scripts:tmp-clean'
    ],

    settings: {
        paths: {
            tmp: '${paths.tmp}',
            src: '${paths.src}/module',
            build: '${paths.build}/js'
        },

        angular: {
            directives: '${scripts.paths.src}/**/directives/*.js'
        },

        src: [
            '${scripts.paths.src}/**/*.module.js',
            '${scripts.paths.src}/**/*.js'
        ],

        bundle: [],

        minify: {
            root: 'src'
        },

        test: {
            shared: [
                './lib/angular/angular.js',
                './lib/angular-mocks/angular-mocks.js'
            ],

            libs: [],

            spec: [
                './test/**/*.spec.js',
                '${scripts.paths.src}/**/*.spec.js'
            ]
        }
    }
};

module.exports = config;
