'use strict';

var packagePath = __dirname + '/../../package.json';

var gulp = require('gulp');
var path = require('path');
var $ = require('gulp-load-plugins')({config: path.normalize(packagePath)});

var config = {
    name: 'quality:commit',
    callback: callback
};

module.exports = config;

/////////////////////////////

/*jshint unused:false*/
function callback(settings, done) {
    return gulp.src(settings.paths.build)
        .pipe($.shell('git add reports/*', {quiet: true}))
        .pipe($.shell('git commit -m "[CHANGE] Code quality report"', {quiet: true}))
        .pipe($.size({title: 'quality:commit'}));
}
