'use strict';

var packagePath = __dirname + '/../../package.json';

var gulp = require('gulp');
var path = require('path');
var plugins = require('gulp-load-plugins')({config: path.normalize(packagePath)});

var config = {
    name: 'scripts:jscs',
    description: 'Run code style linter in your js',
    callback: callback
};

module.exports = config;

/////////////////////////////

/*jshint unused:false*/
function callback(settings, done) {
    return gulp.src(settings.src)
        .pipe(plugins.jscs())
        .pipe(plugins.size({title: 'scripts:jscs'}));
}
